MIX_PauseAllTracks(3)

NAME
MIX_PauseAllTracks - Pause all currently-playing tracks.

SYNOPSIS
#include <SDL3_mixer/SDL_mixer.h>

bool MIX_PauseAllTracks(MIX_Mixer *mixer);

DESCRIPTION
A paused track is not considered "stopped," so its MIX_TrackStoppedCallback will not fire if paused, but it won't change state by default, generate audio, or generally make progress, until it is resumed.

This function makes all tracks on the specified mixer that are currently playing move to a paused state. They can later be resumed.

FUNCTION PARAMETERS

mixer
    the mixer on which to pause all tracks.

RETURN VALUE
Returns true on success, false on error; call SDL_GetError() for details.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_mixer 3.0.0.

SEE ALSO
MIX_ResumeTrack(3), MIX_ResumeAllTracks(3)